Open CASCADE Technology: AppDef_LinearCriteria Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
AppDef_LinearCriteria Class Reference

defined an Linear Criteria to used in variational Smoothing of points. More...

`#include <AppDef_LinearCriteria.hxx>`

Inheritance diagram for AppDef_LinearCriteria:
[legend]

## Public Member Functions
| AppDef_LinearCriteria (const AppDef_MultiLine &SSP, const Standard_Integer FirstPoint, const Standard_Integer LastPoint)
void | SetParameters (const Handle< TColStd_HArray1OfReal > &Parameters)
void | SetCurve (const Handle< FEmTool_Curve > &C)
void | GetCurve (Handle< FEmTool_Curve > &C) const
void | SetEstimation (const Standard_Real E1, const Standard_Real E2, const Standard_Real E3)
Standard_Real & | EstLength ()
void | GetEstimation (Standard_Real &E1, Standard_Real &E2, Standard_Real &E3) const
Handle< FEmTool_HAssemblyTable > | AssemblyTable () const
Handle< TColStd_HArray2OfInteger > | DependenceTable () const
Standard_Integer | QualityValues (const Standard_Real J1min, const Standard_Real J2min, const Standard_Real J3min, Standard_Real &J1, Standard_Real &J2, Standard_Real &J3)
void | ErrorValues (Standard_Real &MaxError, Standard_Real &QuadraticError, Standard_Real &AverageError)
void | Hessian (const Standard_Integer Element, const Standard_Integer Dimension1, const Standard_Integer Dimension2, math_Matrix &H)
void | Gradient (const Standard_Integer Element, const Standard_Integer Dimension, math_Vector &G)
void | InputVector (const math_Vector &X, const Handle< FEmTool_HAssemblyTable > &AssTable)
| Convert the assembly Vector in an Curve;. More...
void | SetWeight (const Standard_Real QuadraticWeight, const Standard_Real QualityWeight, const Standard_Real percentJ1, const Standard_Real percentJ2, const Standard_Real percentJ3)
void | GetWeight (Standard_Real &QuadraticWeight, Standard_Real &QualityWeight) const
void | SetWeight (const TColStd_Array1OfReal &Weight)
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

defined an Linear Criteria to used in variational Smoothing of points.

## Constructor & Destructor Documentation

AppDef_LinearCriteria::AppDef_LinearCriteria | ( | const AppDef_MultiLine & | SSP,
|  | const Standard_Integer | FirstPoint,
|  | const Standard_Integer | LastPoint
| ) |  |

## Member Function Documentation

Handle< FEmTool_HAssemblyTable > AppDef_LinearCriteria::AssemblyTable | ( |  | ) | const
| virtual

Implements AppDef_SmoothCriterion.

Handle< TColStd_HArray2OfInteger > AppDef_LinearCriteria::DependenceTable | ( |  | ) | const
| virtual

Implements AppDef_SmoothCriterion.

void AppDef_LinearCriteria::ErrorValues | ( | Standard_Real & | MaxError,
|  | Standard_Real & | QuadraticError,
|  | Standard_Real & | AverageError
| ) |  |
| virtual

Implements AppDef_SmoothCriterion.

Standard_Real& AppDef_LinearCriteria::EstLength | ( |  | ) |
| virtual

Implements AppDef_SmoothCriterion.

void AppDef_LinearCriteria::GetCurve | ( | Handle< FEmTool_Curve > & | C | ) | const
| virtual

Implements AppDef_SmoothCriterion.

void AppDef_LinearCriteria::GetEstimation | ( | Standard_Real & | E1,
|  | Standard_Real & | E2,
|  | Standard_Real & | E3
| ) |  | const
| virtual

Implements AppDef_SmoothCriterion.

void AppDef_LinearCriteria::GetWeight | ( | Standard_Real & | QuadraticWeight,
|  | Standard_Real & | QualityWeight
| ) |  | const
| virtual

Implements AppDef_SmoothCriterion.

void AppDef_LinearCriteria::Gradient | ( | const Standard_Integer | Element,
|  | const Standard_Integer | Dimension,
|  | math_Vector & | G
| ) |  |
| virtual

Implements AppDef_SmoothCriterion.

void AppDef_LinearCriteria::Hessian | ( | const Standard_Integer | Element,
|  | const Standard_Integer | Dimension1,
|  | const Standard_Integer | Dimension2,
|  | math_Matrix & | H
| ) |  |
| virtual

Implements AppDef_SmoothCriterion.

void AppDef_LinearCriteria::InputVector | ( | const math_Vector & | X,
|  | const Handle< FEmTool_HAssemblyTable > & | AssTable
| ) |  |
| virtual

Convert the assembly Vector in an Curve;.

Implements AppDef_SmoothCriterion.

Standard_Integer AppDef_LinearCriteria::QualityValues | ( | const Standard_Real | J1min,
|  | const Standard_Real | J2min,
|  | const Standard_Real | J3min,
|  | Standard_Real & | J1,
|  | Standard_Real & | J2,
|  | Standard_Real & | J3
| ) |  |
| virtual

Implements AppDef_SmoothCriterion.

void AppDef_LinearCriteria::SetCurve | ( | const Handle< FEmTool_Curve > & | C | ) |
| virtual

Implements AppDef_SmoothCriterion.

void AppDef_LinearCriteria::SetEstimation | ( | const Standard_Real | E1,
|  | const Standard_Real | E2,
|  | const Standard_Real | E3
| ) |  |
| virtual

Implements AppDef_SmoothCriterion.

void AppDef_LinearCriteria::SetParameters | ( | const Handle< TColStd_HArray1OfReal > & | Parameters | ) |
| virtual

Implements AppDef_SmoothCriterion.

void AppDef_LinearCriteria::SetWeight | ( | const Standard_Real | QuadraticWeight,
|  | const Standard_Real | QualityWeight,
|  | const Standard_Real | percentJ1,
|  | const Standard_Real | percentJ2,
|  | const Standard_Real | percentJ3
| ) |  |
| virtual

Implements AppDef_SmoothCriterion.

void AppDef_LinearCriteria::SetWeight | ( | const TColStd_Array1OfReal & | Weight | ) |
| virtual

Implements AppDef_SmoothCriterion.

The documentation for this class was generated from the following file:

- AppDef_LinearCriteria.hxx